View Issue Details

IDProjectCategoryView StatusLast Update
0036417LazarusIDEpublic2019-12-12 12:50
ReporterHans Luijten Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
PlatformCocoaOSmacOS 
Product Version2.0.7 (SVN) 
Summary0036417: Cannot select .app bundles in external tools (patch)
DescriptionWhen adding External Tools in the IDE, the OpenDialog allows to select an .app bundle, but after selecting the bundle, a "File must exist" error appears.
This is caused by the "ofFileMustExist" in the OpenDialog options of the TFilenameEdit.
Under Linux and Windows this assumption makes perfect sense, but under macOS this will not always work as quite a few tools are actually .app bundles (directories).

I did remove "ofFileMustExist" from the LFM in the attached patch, and I'm not 100% sure this is the correct way to resolve this.
Maybe it is more elegant to do this in code (of TFilenameEdit?), but I couldn't find where the code is being called.

Note: Another bug that will follow this one (I'll first try if I can get that one fixed as well) is that external tools no longer execute (.app bundles), even though the patch of bug 36314 seems in place.
Steps To ReproduceIDE -> Tools -> Configure External Tools -> Add -> browse for tool -> select .app bundle -> click "Open" -> Error: File must exist.
Additional InformationLazarus 2.1.0 r62054M FPC 3.3.1 x86_64-darwin-cocoa (beta)
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetCocoa
Attached Files

Relationships

related to 0036418 closedJuha Manninen External Tools again fail to execute when the external tool is an .app application (+patch attached) 

Activities

Hans Luijten

2019-12-10 14:03

reporter  

exttooleditdlg.patch (675 bytes)   
Index: ide/exttooleditdlg.lfm
===================================================================
--- ide/exttooleditdlg.lfm	(revision 62372)
+++ ide/exttooleditdlg.lfm	(working copy)
@@ -267,11 +267,11 @@
     AnchorSideTop.Side = asrBottom
     AnchorSideRight.Control = TitleEdit
     AnchorSideRight.Side = asrBottom
-    Left = 112
-    Height = 23
-    Top = 35
-    Width = 543
-    DialogOptions = [ofPathMustExist, ofFileMustExist, ofEnableSizing, ofViewDetail]
+    Left = 123
+    Height = 22
+    Top = 34
+    Width = 532
+    DialogOptions = [ofPathMustExist, ofEnableSizing, ofViewDetail]
     FilterIndex = 1
     HideDirectories = False
     ButtonWidth = 25
exttooleditdlg.patch (675 bytes)   

Hans Luijten

2019-12-12 11:36

reporter   ~0119781

This is no longer an issue in Just tested this one in Lazarus 2.1.0 r62379M FPC 3.3.1 x86_64-darwin-cocoa (beta).

This bug report can be closed.
Apologies for the inconvenience.

Juha Manninen

2019-12-12 12:43

developer   ~0119785

Resolving as requested.

Issue History

Date Modified Username Field Change
2019-12-10 14:03 Hans Luijten New Issue
2019-12-10 14:03 Hans Luijten File Added: exttooleditdlg.patch
2019-12-11 14:03 Juha Manninen Relationship added related to 0036418
2019-12-12 11:36 Hans Luijten Note Added: 0119781
2019-12-12 12:43 Juha Manninen Assigned To => Juha Manninen
2019-12-12 12:43 Juha Manninen Status new => resolved
2019-12-12 12:43 Juha Manninen Resolution open => no change required
2019-12-12 12:43 Juha Manninen LazTarget => -
2019-12-12 12:43 Juha Manninen Widgetset Cocoa => Cocoa
2019-12-12 12:43 Juha Manninen Note Added: 0119785
2019-12-12 12:50 Hans Luijten Status resolved => closed